let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const upsertProductOrEventApi = async (body: any) => {
    try {
        const response = await fetch(
            `${url_Backend_dwinzo}/api/V1/ProductUpsert`,
            {
                method: "POST",
                headers: {
                    Authorization: "Bearer <access_token>",
                    "Content-Type": "application/json",
                    token: localStorage.getItem("token") || "",
                    refresh_token: localStorage.getItem("refreshToken") || "",
                },
                body: JSON.stringify(body),
            }
        );
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            console.error("Failed to add product or event");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        echo.error("Failed to upsert product Or eventApi");
        if (error instanceof Error) {
            console.log(error.message);
        } else {
            console.log("An unknown error occurred");
        }
    }
};
